package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFX40 extends MwfRequest<MWFX40, MWFX40Response> {

    @Parameter(name = "ACCOUNT_NUMBER")
    MWFX40 accountNumber(String accountNumber);
    @Parameter(name = "APP_KEY")
    MWFX40 appKey(Long appKey);
    @Parameter(name = "CIF")
    MWFX40 cif(String cif);
    @Parameter(name = "CastkaPrvnihoCerpani")
    MWFX40 castkaPrvnihoCerpani(Double castkaPrvnihoCerpani);
    @Parameter(name = "CelkovaSplatnaCastka")
    MWFX40 celkovaSplatnaCastka(Double celkovaSplatnaCastka);
    @Parameter(name = "DatumPravidelnePlatby")
    MWFX40 datumPravidelnePlatby(Long datumPravidelnePlatby);
    @Parameter(name = "DruhPojisteni")
    MWFX40 druhPojisteni(String druhPojisteni);
    @Parameter(name = "FILTER_VALID_ONLY_FLAG")
    MWFX40 filterValidOnlyFlag(Long filterValidOnlyFlag);
    @Parameter(name = "KodProduktu")
    MWFX40 kodProduktu(String kodProduktu);
    @Parameter(name = "KodProduktuSales")
    MWFX40 kodProduktuSales(String kodProduktuSales);
    @Parameter(name = "MesicniPlatbaPojisteni")
    MWFX40 mesicniPlatbaPojisteni(Double mesicniPlatbaPojisteni);
    @Parameter(name = "MesicniSplatka")
    MWFX40 mesicniSplatka(Double mesicniSplatka);
    @Parameter(name = "MistoNarozeni")
    MWFX40 mistoNarozeni(String mistoNarozeni);
    @Parameter(name = "OdkladSplatek")
    MWFX40 odkladSplatek(Long odkladSplatek);
    @Parameter(name = "PocetSplatek")
    MWFX40 pocetSplatek(Long pocetSplatek);
    @Parameter(name = "Poplatek_PoskytnutiUveru")
    MWFX40 poplatekPoskytnutiUveru(Double poplatekPoskytnutiUveru);
    @Parameter(name = "Poplatek_PrichoziTransakce")
    MWFX40 poplatekPrichoziTransakce(Double poplatekPrichoziTransakce);
    @Parameter(name = "Poplatek_VedeniBU")
    MWFX40 poplatekVedeniBU(Double poplatekVedeniBU);
    @Parameter(name = "Poplatek_VedeniUveru")
    MWFX40 poplatekVedeniUveru(Double poplatekVedeniUveru);
    @Parameter(name = "PracovniPomer")
    MWFX40 pracovniPomer(String pracovniPomer);
    @Parameter(name = "Prijmy_Radek101")
    MWFX40 prijmyRadek101(Double prijmyRadek101);
    @Parameter(name = "RPSN")
    MWFX40 rpsn(Double rpsn);
    @Parameter(name = "RodinnyZavod")
    MWFX40 rodinnyZavod(String rodinnyZavod);
    @Parameter(name = "RodinnyZavodPodil")
    MWFX40 rodinnyZavodPodil(Double rodinnyZavodPodil);
    @Parameter(name = "RodinyStav")
    MWFX40 rodinyStav(String rodinyStav);
    @Parameter(name = "StatniPrislusnost")
    MWFX40 statniPrislusnost(String statniPrislusnost);
    @Parameter(name = "TypSlevy")
    MWFX40 typSlevy(String typSlevy);
    @Parameter(name = "UrokovaSazba")
    MWFX40 urokovaSazba(Double urokovaSazba);
    @Parameter(name = "VydatKartuKUveru")
    MWFX40 vydatKartuKUveru(String vydatKartuKUveru);
    @Parameter(name = "VysePosledniSplatky")
    MWFX40 vysePosledniSplatky(Double vysePosledniSplatky);
    @Parameter(name = "VyseUveru")
    MWFX40 vyseUveru(Double vyseUveru);
    @Parameter(name = "WEB_Banner")
    MWFX40 wEBBanner(String wEBBanner);
    @Parameter(name = "WEB_Partner_ID")
    MWFX40 wEBPartnerID(String wEBPartnerID);
    @Parameter(name = "ZuzeneSJM")
    MWFX40 zuzeneSJM(String zuzeneSJM);
}
